﻿using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RibbonBackStage
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RibbonWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            _ribbon.BackStage.SelectionChanged += BackStage_SelectionChanged;
        }

        private void BackStage_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (_ribbon.BackStage.SelectedItem != null)
            {
                if ((_ribbon.BackStage.SelectedItem) is BackstageTabItem)
                {
                    (_ribbon.BackStage.SelectedItem as BackstageTabItem).Loaded += MainWindow_Loaded;
                    Border bd = (_ribbon.BackStage.SelectedItem as BackstageTabItem).Template.FindName("selectedBorder", _ribbon.BackStage.SelectedItem as BackstageTabItem) as Border;
                    if (bd != null)
                        bd.Background = Brushes.Red;
                }

            }
        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {         
            Border bd = (sender as BackstageTabItem).Template.FindName("selectedBorder", (sender as BackstageTabItem)) as Border;
            if (bd != null)
                bd.Background = Brushes.Red;
        }

        
    }
}
